﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace SetIconBasedOnColumn
{
    public partial class Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                Map1.MapUnit = GeographyUnit.DecimalDegree;
                Map1.CurrentExtent = new RectangleShape(-125, 72, 50, -46);

                ValueStyle valueStyle = new ValueStyle();
                valueStyle.ColumnName = "POP_RANK";
                foreach (var valueItem in new string[] { "1", "2", "3" }
                    .Select(s => GetValueItem(s)))
                {
                    valueStyle.ValueItems.Add(valueItem);
                }

                ShapeFileFeatureLayer featureLayer = new ShapeFileFeatureLayer(MapPath("~/App_Data/WorldCapitals.shp"));
                featureLayer.ZoomLevelSet.ZoomLevel01.CustomStyles.Add(valueStyle);
                featureLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

                LayerOverlay layerOverlay = new LayerOverlay();
                layerOverlay.Layers.Add(featureLayer);

                Map1.CustomOverlays.Add(layerOverlay);
            }
        }

        private ValueItem GetValueItem(string value)
        {
            ValueItem valueItem1 = new ValueItem();
            valueItem1.Value = value;
            valueItem1.DefaultPointStyle = new PointStyle(new GeoImage(MapPath("~/Images/marker" + value + ".png")));
            return valueItem1;
        }
    }
}